# InterTween
A value interpolator between to any value with relative support


Minified&Gzipped ~2Kb, but it does almost anything related to interpolate values


[![size](http://img.badgesize.io/https://unpkg.com/intertween/index.min.js?cache=false)](https://unpkg.com/intertween)
[![gzipsize](http://img.badgesize.io/https://unpkg.com/intertween/index.min.js?compression=gzip&cache=false)](https://unpkg.com/intertween)
[![CDNJS](https://img.shields.io/cdnjs/v/intertween.svg)](https://cdnjs.com/libraries/intertween)
[![jsdelivr](https://img.shields.io/badge/cdn-jsdelivr-brightgreen.svg)](https://cdn.jsdelivr.net/npm/intertween)  [![unpkg](https://img.shields.io/badge/cdn-unpkg-brightgreen.svg)](https://unpkg.com/intertween)  [![npmcdn](https://img.shields.io/badge/cdn-npmcdn-brightgreen.svg)](https://npmcdn.com/intertween)
[![NPM Version][npm-image]][npm-url]
[![NPM Downloads][downloads-image]][downloads-url]
<br/>
[![NPM](https://nodei.co/npm/intertween.png?downloads=true&stars=true)](https://nodei.co/npm/intertween/)

# CDN
```bash
# unpkg
https://unpkg.com/intertween

# npmcdn
https://npmcdn.com/intertween

# jsDelivr
https://cdn.jsdelivr.net/npm/intertween
```

# Installing
```bash
$ npm install intertween
# or
$ yarn add intertween
```

# Usage
```javascript
var InterTween = require('intertween');
var value = InterTween(AnyValue1, AnyValue2);

loop_frame(function (elapsed) {
	// elapsed should be between 0...1
	value(elapsed) // InterpolatingValue
});

```

[npm-image]: https://img.shields.io/npm/v/intertween.svg
[npm-url]: https://npmjs.org/package/intertween
[downloads-image]: https://img.shields.io/npm/dm/intertween.svg
[downloads-url]: https://npmjs.org/package/intertween